Subject: Re: [PATCH v6] add --summary option to git-push and git-fetch

From: Ilari Liusvaara <[email-masked]>
Date: Sat, 30 Jan 2010 10:57:50 +0200

On Sat, Jan 30, 2010 at 12:04:25AM -0800, Junio C Hamano wrote:
> Ilari Liusvaara <[email-masked]> writes:
> 
> > Also, what about multiple-URL case? Don't know if there are problems, but it
> > seems to be quite rarely tested...
> 
> Pushing to more than one deliberately chooses to fork for each remote IIRC
> to avoid any funnies.

I don't see any forking in the code. It redoes transport_get() (transports
can't really be reused...) and in the end does transport_disconnect().

And besides, what it did with internal protocol following remote helper
didn't look very much like what would happen if it forked...

-Ilari